<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/*
|--------------------------------------------------------------------------
| File and Directory Modes
|--------------------------------------------------------------------------
|
| These prefs are used when checking and setting modes when working
| with the file system.  The defaults are fine on servers with proper
| security, but you may wish (or even need) to change the values in
| certain environments (Apache running a separate process for each
| user, PHP under CGI with Apache suEXEC, etc.).  Octal values should
| always be used to set the mode correctly.
|
*/
define('FILE_READ_MODE', 0644);
define('FILE_WRITE_MODE', 0666);
define('DIR_READ_MODE', 0755);
define('DIR_WRITE_MODE', 0777);

/*
|--------------------------------------------------------------------------
| File Stream Modes
|--------------------------------------------------------------------------
|
| These modes are used when working with fopen()/popen()
|
*/

define('FOPEN_READ',							'rb');
define('FOPEN_READ_WRITE',						'r+b');
define('FOPEN_WRITE_CREATE_DESTRUCTIVE',		'wb'); // truncates existing file data, use with care
define('FOPEN_READ_WRITE_CREATE_DESTRUCTIVE',	'w+b'); // truncates existing file data, use with care
define('FOPEN_WRITE_CREATE',					'ab');
define('FOPEN_READ_WRITE_CREATE',				'a+b');
define('FOPEN_WRITE_CREATE_STRICT',				'xb');
define('FOPEN_READ_WRITE_CREATE_STRICT',		'x+b');

/*
|--------------------------------------------------------------------------
| User Types
|--------------------------------------------------------------------------
|
| These types are used when working with account
|
*/

define('SUPERADMIN', 	1);
define('ADMIN', 		2);

/*
|--------------------------------------------------------------------------
| Transaction Types
|--------------------------------------------------------------------------
|
| These types are used when working with transaction
|
*/

define('TRANSFER', 		1);
define('WITHDRAWAL', 	2);
define('TOPUP',		 	3);

/*
|--------------------------------------------------------------------------
| Message Types
|--------------------------------------------------------------------------
|
| These types are used when working with message
|
*/

define('MESSAGE_INBOX', 	1);
define('MESSAGE_SENT', 		2);

/*
|--------------------------------------------------------------------------
| Gender Types
|--------------------------------------------------------------------------
|
| These types are used when working with gender
|
*/

define('MALE', 		1);
define('FEMALE', 	2);

/*
|--------------------------------------------------------------------------
| Member Log Types
|--------------------------------------------------------------------------
|
| These types are used when working with member activities
|
*/

define('LOG_LOGIN', 								1);
define('LOG_LOGOUT', 								2);
define('LOG_EDIT_PROFILE', 							3);
define('LOG_CHANGE_LOGIN_PASSWORD', 				4);
define('LOG_CHANGE_SECURITY_PASSWORD', 				5);
define('LOG_ADD_MEMBER', 							6);
define('LOG_EDIT_MEMBER', 							7);
define('LOG_TRANSFER', 								8);
define('LOG_WITHDRAWAL', 							9);
define('LOG_MESSAGE', 								10);
define('LOG_RESET_MEMBER_LOGIN_PASSWORD', 			11);
define('LOG_RESET_MEMBER_SECURITY_PASSWORD', 		12);
define('LOG_MEMBER_PACKAGE_UPGRADE', 				13);
define('LOG_TOPUP', 								14);
define('LOG_UPDATE_SERVICE_SETTING', 				15);
define('LOG_ADD_ANNOUNCEMENT', 						16);
define('LOG_EDIT_ANNOUNCEMENT', 					17);
define('LOG_DELETE_ANNOUNCEMENT', 					18);
define('LOG_ADD_ADMIN', 							19);
define('LOG_EDIT_ADMIN', 							20);
define('LOG_DELETE_ADMIN', 							21);
define('LOG_UPDATE_MEMBER_WITHDRAWAL_STATUS', 		22);
define('LOG_CHANGE_MEMBER_USERNAME', 				23);
define('LOG_MEMBER_REINVEST', 						24);
define('LOG_CHANGE_MEMBER_PACKAGE', 				25);
define('LOG_CHANGE_MEMBER_TYPE', 					26);
define('LOG_DELETE_MEMBER', 						27);
define('LOG_ADJUSTMENT', 							28);
define('LOG_CHANGE_INTRODUCER_NAME', 				29);
define('LOG_ADD_PRODUCT', 							30);
define('LOG_UPDATE_PRODUCT', 						31);
define('LOG_UPDATE_MEMBER_GAME_DEPOSIT_STATUS', 	32);
define('LOG_UPDATE_MEMBER_OFFLINE_TOPUP_STATUS',	33);
define('LOG_UPDATE_MEMBER_COIN_TOPUP_STATUS',		34);
define('LOG_UPDATE_MEMBER_CLAIM_STATUS',			35);
define('LOG_MEMBER_LEVEL_UPGRADE',					36);
define('LOG_UPDATE_CURRENCY_RATE', 					37);
define('LOG_PAYOUT', 								38);
define('LOG_MEMBER_STAR_UPGRADE', 					39);
define('LOG_ADD_POOL_BONUS', 						40);
define('LOG_EDIT_MESSAGE', 							41);

/*
|--------------------------------------------------------------------------
| Admin Security Key
|--------------------------------------------------------------------------
|
| These types are used when working with topup, reset password and reset trading password
|
*/

define('SECURITY_KEY_HIGH', 				'sss888');
define('SECURITY_KEY_FOR_SETTING', 			'sss888');
define('SECURITY_KEY_FOR_EDIT_MEMBER', 		'sss888');
define('SECURITY_KEY_FOR_ADD_COMMITMENT', 	'sss888');
define('SECURITY_KEY_TOPUP', 				'sss888');
define('SECURITY_KEY_FOR_VIEW_REPORT', 		'sss888');

/*
|--------------------------------------------------------------------------
| Tenure
|--------------------------------------------------------------------------
|
| These types are used when working with member registration
|
*/

define('TENURE_CONTRACT', 	1096);

/*
|--------------------------------------------------------------------------
| Default password
|--------------------------------------------------------------------------
|
| These types are used when working with reset password and reset trading password
|
*/

define('RESET_LOGIN_PASSWORD', 	rand(100000, 999999));
define('RESET_TRADING_PASSWORD', rand(100000, 999999));

/*
|--------------------------------------------------------------------------
| Image Path
|--------------------------------------------------------------------------
|
| These types are used when working with product
|
*/

#Upload path
define('UPLOAD_PHYSICAL_PATH', 	'./../uploads/');
define('UPLOAD_VIRTUAL_PATH', 	'./../../../../uploads/');
define('ENCRYPTION_CODE', 		'_productimg888');
define('BO_FOLDER', 			'mbo/');
define('MEMBER_FOLDER', 		'');

/*
|--------------------------------------------------------------------------
| Zuno
|--------------------------------------------------------------------------
|
| These types are used when working with currency
|
*/

define('WHITELABEL_URL',			'https://www.si88.live/api/');
define('WHITELABEL_AGENT_ID',		'zuno7s');
define('WHITELABEL_SECRET_KEY',		'4cPoy51bbfW8mdIy7gZAr8LVcXMRnQrF');


/* End of file constants.php */
/* Location: ./application/config/constants.php */